Bug 821952 - Make tracker plugin optional
Make tracker plugin optional
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grilo-plugins (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 16:48 EDT by Daniel Drake
Modified: 2013-08-09 03:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:32:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Drake 2012-05-15 16:48:41 EDT
F17's totem depends on grilo-plugins which depends on tracker.

This is causing tracker to be added to OLPC's builds, and autostarting with the desktop.

As cool as tracker is, I don't think its suitable for our resource-constrained embedded platform and would like to exclude it, as before.

Could the tracker plugin in grilo-plugins be moved to a subpackage, brought in by the GNOME desktop group in comps.xml?

This way it would be easy to avoid on OLPC builds and regular users would not be affected.
Comment 1 Kalev Lember 2013-05-29 07:28:02 EDT
A solution could be to split up tracker so that the libraries are in one subpackage and the miners are in another (grilo-plugins links with libtracker-sparql).

That way tracker using apps could keep linking with the libraries, but would no longer have a hard dep on the full tracker installation, which could go into the GNOME comps group instead.
Comment 2 Peter Robinson 2013-05-29 07:38:41 EDT
(In reply to Kalev Lember from comment #1)
> A solution could be to split up tracker so that the libraries are in one
> subpackage and the miners are in another (grilo-plugins links with
> libtracker-sparql).
> 
> That way tracker using apps could keep linking with the libraries, but would
> no longer have a hard dep on the full tracker installation, which could go
> into the GNOME comps group instead.

That would be very useful for a number of other similar issues, great idea!
Comment 3 Bastien Nocera 2013-05-29 08:23:42 EDT
The tracker plugin is going to be a hard dependency of both Totem and gnome-music. So splitting off the daemon, or the plugin isn't going to help anything.
Comment 4 Fedora End Of Life 2013-07-03 16:29:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 16:32:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Steve Tyler 2013-08-09 03:40:43 EDT
See also:
Bug 747689 - provide a method to disable tracker

Note You need to log in before you can comment on or make changes to this bug.